Skip to main content
View Markdown
PacketAuth requiredupdatePacket

Update a Packet

PATCHhttps://api.blueink.com/api/v2/packets/{packetId}/

Update a Packet

PATCH 

/packets/:packetId/

Update a Packet (aka signer) with a new email, phone number, name or authentication options

The updated packet must still be deliverable. For instance, if you specify a deliver_via value of 'phone', but there was no phone number set in the original PacketRequest, then this request must include a phone as well, or an error will be returned.

You can change a Packet that was originally configured for embedded signing (that is, deliver_via was 'embed') to be delivered via email or SMS. However, no signing notifications or reminders will be automatically sent. You must call /packet/{packetId}/remind/ to send a signing notification email (or SMS).

If this Signer is associated with a Person, the person will be updated as well - the Person name will be changed (if provided) and any new email or phone number will be added.

Request

Responses

Ok, the Packet was updated